# MatNullSpaceDestroy

Destroys a data structure used to project vectors out of null spaces.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatNullSpaceDestroy(MatNullSpace sp)

Collective on MatNullSpace

### Input Parameter

sp -the null space context to be destroyed

### Keywords

PC, null space, destroy

### See Also

MatNullSpaceCreate(), MatNullSpaceRemove(), MatNullSpaceSetFunction()

Level:advanced
Location: src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages